axis-java-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Alexandros Karypidis <akary...@yahoo.gr>
Subject Sandesha2 and WS-RM questions
Date Sun, 16 Aug 2009 15:47:41 GMT
Hi,

I'm interested in WS-RM and Sandesha2. I've followed the tutorial 
published at [1] successfully and now have the following questions:

1) The latest Sandesha2 release is 1.3 and on its web site it claims to 
run with Axis2 1.3. I therefore used this old version of Axis2. Will 
Sandesha2 be updated or is it a "dead" project?

2) How can I force my service to require WS-RM 1.1 and _NOT_ allow WS-RM 
1.0 connections?
NOTE:
    From the tutorial at [1], it is stated that the client can control 
which version of the spec is used by calling:
        clientOptions.setProperty(SandeshaClientConstants.RM_SPEC_VERSION,
                Sandesha2Constants.SPEC_VERSIONS.v1_1);
    However, I found nothing on how to configure specific WS-RM 
requirements on the server side.

3) Is there a way to get Sandesha2 to publish WS-RM assertions in the 
service's WSDL using WS-Policy? My service's published WSDL contains 
nothing to advertize its WS-RM capabilities.

Thank you very much for your help.

[1] http://ws.apache.org/sandesha/sandesha2/userGuide.html



Mime
View raw message